#!/bin/sh

set -e

apk add zip

# exec register-service
update-ca-certificates
echo -e "nameserver 127.0.0.1\n$(cat /etc/resolv.conf)" > /etc/resolv.conf

# Install consul-template
cd ~/ && curl -O https://releases.hashicorp.com/consul-template/0.19.5/consul-template_0.19.5_linux_amd64.zip && \
unzip consul-template_0.19.5_linux_amd64.zip && \
rm consul-template_0.19.5_linux_amd64.zip && cd -

# Install glibc
# apk add gcompat

# Install Envoy
# curl -L https://func-e.io/install.sh | sh -s -- -b /usr/local/bin
# func-e use $ENVOY_VERSION_STRING
# cp ~/.func-e/versions/$ENVOY_VERSION_STRING/bin/envoy /usr/local/bin/

exec "$@"
